List transactions
curl --request GET \
--url https://api.funnelfox.io/public/v1/transactions \
--header 'Fox-Secret: <fox-secret>'import requests
url = "https://api.funnelfox.io/public/v1/transactions"
headers = {"Fox-Secret": "<fox-secret>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Fox-Secret': '<fox-secret>'}};
fetch('https://api.funnelfox.io/public/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"session_id": "<string>",
"profile_id": "<string>",
"funnel_id": "<string>",
"funnel": {
"id": "<string>",
"title": "<string>",
"alias": "<string>"
},
"funnel_version": 123,
"currency": "<string>",
"price": 123,
"price_usd": 123,
"sandbox": true,
"funnel_locale": "<string>",
"experiment_id": "<string>"
}
],
"pagination": {
"has_more": true,
"total": 123,
"next_cursor": "<string>"
}
}API Reference
List transactions
GET
/
transactions
List transactions
Headers
Project Secret Key
Example:
"secret_"
Query Parameters
Maximum number of items to return
Required range:
1 <= x <= 500Cursor for pagination
Filter by Subscription ID
Filter by updated_at >= this value (RFC3339, e.g. 2024-11-01T00:00:00Z)
Filter by updated_at < this value (RFC3339, e.g. 2024-12-01T00:00:00Z)
Was this page helpful?
⌘I
